CharterOpsCharterOps

API reference

Airports

Search airports and nearby fields, read the FBOs on a field, and add or update your own FBOs.

Search airports

GET/v1/airports

Scope
read
Quota
Counts toward your allowance

Query parameters

  • qstring

    Up to 120 characters.

  • countrystring

    Exactly 2 characters.

  • regionstring

  • typearray of strings

    One oflarge_airportmedium_airportsmall_airportheliportseaplane_baseclosed

  • nearstring

  • radius_nmnumber

    More than 0 and up to 500. Defaults to 50.

  • min_runway_ftinteger

    0 or more.

  • has_customsboolean

  • sortstring

    One oficao-icaoiata-iataname-namecity-citytype-typelongest_runway_ft-longest_runway_ftdistance_nm-distance_nm

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 25.

Response

200 OK

Returns a page of airport summary objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/airports" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Read an airport

GET/v1/airports/{code}

Scope
read
Quota
Counts toward your allowance

Path parameters

  • codestringRequired

Response

200 OK

Returns the airport object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/airports/$CODE" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

List airport FBOs

GET/v1/airports/{code}/fbos

Scope
read
Quota
Counts toward your allowance

Path parameters

  • codestringRequired

Query parameters

  • sortstring

    Defaults to name.

    One ofname-namephone-phonefuel_brands-fuel_brandshours-hours

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 25.

Response

200 OK

Returns a page of FBO objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/airports/$CODE/fbos" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Find nearby airports

GET/v1/airports/{code}/nearby

Scope
read
Quota
Counts toward your allowance

Path parameters

  • codestringRequired

Query parameters

  • radius_nmnumber

    More than 0 and up to 500. Defaults to 50.

  • typearray of strings

    One oflarge_airportmedium_airportsmall_airportheliportseaplane_baseclosed

  • min_runway_ftinteger

    0 or more.

  • sortstring

    One oficao-icaoiata-iataname-namecity-citytype-typelongest_runway_ft-longest_runway_ftdistance_nm-distance_nm

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 25.

Response

200 OK

Returns a page of airport summary objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/airports/$CODE/nearby" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Submit an FBO

POST/v1/fbos

Scope
write
Quota
Does not count

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Request body

  • airport_codestringRequired

    1 to 20 characters.

  • namestringRequired

    1 to 120 characters.

  • emailemail

  • fuel_brandsarray of strings

    Up to 10 items. Each item: 1 to 40 characters.

  • hoursstring

    Up to 200 characters.

  • notesstring

    Up to 2,000 characters.

  • phonestring

    Up to 40 characters.

  • websiteURL

    1 to 2,083 characters.

Response

201 Created

Returns the FBO object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/fbos" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)" \
  --json @body.json

Update an owned FBO

PATCH/v1/fbos/{id}

Scope
write
Quota
Does not count

Path parameters

  • idUUIDRequired

Request body

  • emailemail

  • fuel_brandsarray of strings

    Up to 10 items. Each item: 1 to 40 characters.

  • hoursstring

    Up to 200 characters.

  • namestring

    1 to 120 characters.

  • notesstring

    Up to 2,000 characters.

  • phonestring

    Up to 40 characters.

  • websiteURL

    1 to 2,083 characters.

Response

200 OK

Returns the FBO object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request PATCH "$CHARTEROPS_API_URL/v1/fbos/$ID" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --json @body.json

Objects

Airport summary

  • citystringCan be null

  • codestring

  • countrystring

  • distance_nmnumberCan be null

  • elevation_ftintegerCan be null

  • iatastringCan be null

  • icaostringCan be null

  • idUUID

  • latitudenumber

  • local_codestringCan be null

  • longest_runway_ftintegerCan be null

  • longitudenumber

  • namestring

  • regionstringCan be null

  • timezonestringCan be null

  • typestring

    One oflarge_airportmedium_airportsmall_airportheliportseaplane_baseclosed

Airport

  • citystringCan be null

  • codestring

  • countrystring

  • distance_nmnumberCan be null

  • elevation_ftintegerCan be null

  • fbo_countinteger

  • has_customsbooleanCan be null

  • iatastringCan be null

  • icaostringCan be null

  • idUUID

  • latitudenumber

  • local_codestringCan be null

  • longest_runway_ftintegerCan be null

  • longitudenumber

  • namestring

  • regionstringCan be null

  • runwaysarray of objects

    7 fields in runways
    • closedboolean

    • idUUID

    • identstring

    • length_ftintegerCan be null

    • lightedboolean

    • surfacestringCan be null

    • width_ftintegerCan be null

  • scheduled_serviceboolean

  • sourcestring

  • source_updated_atdate-timeCan be null

  • timezonestringCan be null

  • typestring

    One oflarge_airportmedium_airportsmall_airportheliportseaplane_baseclosed

FBO

  • airportobject

    10 fields in airport
    • citystringCan be null

    • codestring

    • countrystring

    • iatastringCan be null

    • icaostringCan be null

    • idUUID

    • latitudenumber

    • longitudenumber

    • namestring

    • timezonestringCan be null

  • created_atdate-time

  • emailstringCan be null

  • fuel_brandsarray of stringsCan be null

  • hoursstringCan be null

  • idUUID

  • is_ownboolean

  • namestring

  • notesstringCan be null

  • phonestringCan be null

  • sourcestring

  • submitted_by_organization_namestringCan be null

  • websitestringCan be null